View a markdown version of this page

ListBacklogTasks - AWS DevOps Agent

ListBacklogTasks

Lists backlog tasks in the specified agent space with optional filtering and sorting

Request Syntax

POST /backlog/agent-space/agentSpaceId/tasks/list HTTP/1.1 Content-type: application/json { "filter": { "createdAfter": "string", "createdBefore": "string", "primaryTaskId": "string", "priority": [ "string" ], "status": [ "string" ], "taskType": [ "string" ] }, "limit": number, "nextToken": "string", "order": "string", "sortField": "string" }

URI Request Parameters

The request uses the following URI parameters.

agentSpaceId

The unique identifier for the agent space containing the tasks

Pattern: [a-zA-Z0-9-]{1,64}

Required: Yes

Request Body

The request accepts the following data in JSON format.

filter

Filter criteria to apply when listing tasks Filtering restrictions: - Each filter field list is limited to a single value - Filtering by Priority and Status at the same time when not filtering by Type is not permitted - Timestamp filters (createdAfter, createdBefore) can be combined with other filters when not sorting by priority

Type: TaskFilter object

Required: No

limit

Maximum number of tasks to return in a single response (1-1000, default: 100)

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 1000.

Required: No

nextToken

Token for retrieving the next page of results

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Required: No

order

Sort order for the tasks based on sortField (default: DESC)

Type: String

Valid Values: ASC | DESC

Required: No

sortField

Field to sort by Sorting restrictions: - Only sorting on createdAt is supported when using priority or status filters alone. - Sorting by priority is not supported when using Timestamp filters (createdAfter, createdBefore)

Type: String

Valid Values: CREATED_AT | PRIORITY

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "tasks": [ { "agentSpaceId": "string", "createdAt": "string", "description": "string", "executionId": "string", "hasLinkedTasks": boolean, "metadata": JSON value, "primaryTaskId": "string", "priority": "string", "reference": { "associationId": "string", "referenceId": "string", "referenceUrl": "string", "system": "string", "title": "string" }, "status": "string", "statusReason": "string", "supportMetadata": JSON value, "taskId": "string", "taskType": "string", "title": "string", "updatedAt": "string", "version": number } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

Token for retrieving the next page of results, if more results are available

Type: String

tasks

List of backlog tasks

Type: Array of Task objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access to the requested resource is denied due to insufficient permissions.

message

Detailed error message describing why access was denied.

HTTP Status Code: 403

ConflictException

The request conflicts with the current state of the resource.

message

Detailed error message describing the conflict.

HTTP Status Code: 409

ContentSizeExceededException

This exception is thrown when the content size exceeds the allowed limit.

HTTP Status Code: 413

InternalServerException

This exception is thrown when an unexpected error occurs in the processing of a request.

HTTP Status Code: 500

InvalidParameterException

One or more parameters provided in the request are invalid.

message

Detailed error message describing which parameter is invalid and why.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource could not be found.

message

Detailed error message describing which resource was not found.

HTTP Status Code: 404

ServiceQuotaExceededException

The request would exceed the service quota limit.

message

Detailed error message describing which quota was exceeded.

HTTP Status Code: 402

ThrottlingException

The request was throttled due to too many requests. Please slow down and try again.

message

Detailed error message describing the throttling condition.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of specific failures encountered while validating the input. A member can appear in this list more than once if it failed to satisfy multiple constraints.

message

A summary of the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: